Redes
4 min
Use those APIs to add Static IPs, Ranges, and Dynamic networks.
✨To Add a different Profiles to an existing Network, please add the same Network with a different Profile ID.
✨To Delete a specific Profile from an existing Network, call the delete APIs with the profile you want to remove.
Get Customer's Network
Get the list of the Customer's Network
GET
https://api.fsflt.net/panel/network/list
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeIntegerrequiredDescription
curl
curl --location --request GET 'https://api.fsflt.net/panel/network/list' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"customer_code":"Integer"}'nodejs
var request = require('request');
var options = {
'method': 'GET',
'url': 'https://api.fsflt.net/panel/network/list',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"customer_code": "Integer"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"customer_code": "Integer"
});
var requestOptions = {
method: 'GET',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/network/list", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/network/list"
payload = json.dumps({
"customer_code": "Integer"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/network/list")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"customer_code": "Integer"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": {
"static": {
"range": [
{
"ip_from": "5.6.2.3",
"ip_to": "5.6.5.3",
"profiles": [
0
],
"description": "My Range"
}
],
"single": [
{
"ip": "4.5.32.3",
"profiles": [
1,
4
],
"description": "My IP"
}
]
},
"dynamic": [
{
"username": "[email protected]",
"description": "My Dynamic Network",
"profiles": [
0
],
"device": {
"id": "33.2",
"brand_name": "MikroTik",
"brand_code": "mikrotik",
"device_name": "Mikrotik NAT connection (DNS over VPN)"
}
}
]
}
}Add Static IP
Add a Static WAN IP (IPv4 / IPv6). LAN IPs are not allowed.
POST
https://api.fsflt.net/panel/network/static/single/add
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeIntegerrequiredDescription
- profile_codeIntegerrequiredDescription
- ipstringrequiredDescription
curl
curl --location 'https://api.fsflt.net/panel/network/static/single/add' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"customer_code":"Integer","profile_code":"Integer","ip":"string"}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.fsflt.net/panel/network/static/single/add',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"customer_code": "Integer",
"profile_code": "Integer",
"ip": "string"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"customer_code": "Integer",
"profile_code": "Integer",
"ip": "string"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/network/static/single/add", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/network/static/single/add"
payload = json.dumps({
"customer_code": "Integer",
"profile_code": "Integer",
"ip": "string"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/network/static/single/add")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"customer_code": "Integer",
"profile_code": "Integer",
"ip": "string"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": "Static Network created successfully"
}412
{
"code": 412,
"content": "You can't insert internal IPs"
}406
// The Network may already be registered in a different customer with the same Profile DNSs
{
"code": 406,
"content": "Static Network already exists"
}409
{
"code": 409,
"content": "Profile not found"
}Remove a Static IP
Remove a Static IP (IPv4 / IPv6)
POST
https://api.fsflt.net/panel/network/static/single/remove
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeIntegerrequiredDescription
- profile_codeIntegerrequiredDescription
- ipstringrequiredDescription
curl
curl --location 'https://api.fsflt.net/panel/network/static/single/remove' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"customer_code":"Integer","profile_code":"Integer","ip":"string"}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.fsflt.net/panel/network/static/single/remove',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"customer_code": "Integer",
"profile_code": "Integer",
"ip": "string"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"customer_code": "Integer",
"profile_code": "Integer",
"ip": "string"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/network/static/single/remove", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/network/static/single/remove"
payload = json.dumps({
"customer_code": "Integer",
"profile_code": "Integer",
"ip": "string"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/network/static/single/remove")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"customer_code": "Integer",
"profile_code": "Integer",
"ip": "string"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": "Static Network removed successfully"
}406
{
"code": 406,
"content": "Static Network doesn't exists"
}409
{
"code": 409,
"content": "Profile not found"
}Add a Static Range IP
Add a Static Range IP (IPv4 only) LAN IPs are not allowed.
POST
https://api.fsflt.net/panel/network/static/range/add
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeIntegerrequiredDescription
- profile_codeIntegerrequiredDescription
- ip_fromstringrequiredDescription
- ip_tostringrequiredDescription
curl
curl --location 'https://api.fsflt.net/panel/network/static/range/add' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"customer_code":"Integer","profile_code":"Integer","ip_from":"string","ip_to":"string"}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.fsflt.net/panel/network/static/range/add',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"customer_code": "Integer",
"profile_code": "Integer",
"ip_from": "string",
"ip_to": "string"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"customer_code": "Integer",
"profile_code": "Integer",
"ip_from": "string",
"ip_to": "string"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/network/static/range/add", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/network/static/range/add"
payload = json.dumps({
"customer_code": "Integer",
"profile_code": "Integer",
"ip_from": "string",
"ip_to": "string"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/network/static/range/add")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"customer_code": "Integer",
"profile_code": "Integer",
"ip_from": "string",
"ip_to": "string"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": "Static Network created successfully"
}412
{
"code": 412,
"content": "You can't insert internal IPs"
}406
{
"code": 406,
"content": "Some IPs of this range are already present: x.x.x.x"
}416
{
"code": 416,
"content": "You can't insert a range greather than XY IPs. Please contact the Support to add more."
}409
{
"code": 409,
"content": "Profile not found"
}Remove a Static IP Range
Remove a Static IP Range (IPv4) LAN IPs are not allowed.
POST
https://api.fsflt.net/panel/network/static/range/remove
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeIntegerrequiredDescription
- profile_codeIntegerrequiredDescription
- ip_fromstringrequiredDescription
- ip_tostringrequiredDescription
curl
curl --location 'https://api.fsflt.net/panel/network/static/range/add' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"customer_code":"Integer","profile_code":"Integer","ip_from":"string","ip_to":"string"}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.fsflt.net/panel/network/static/range/add',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"customer_code": "Integer",
"profile_code": "Integer",
"ip_from": "string",
"ip_to": "string"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"customer_code": "Integer",
"profile_code": "Integer",
"ip_from": "string",
"ip_to": "string"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/network/static/range/add", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/network/static/range/add"
payload = json.dumps({
"customer_code": "Integer",
"profile_code": "Integer",
"ip_from": "string",
"ip_to": "string"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/network/static/range/add")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"customer_code": "Integer",
"profile_code": "Integer",
"ip_from": "string",
"ip_to": "string"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": "Static Network removed successfully"
}416
{
"code": 416,
"content": "You can't insert a range greather than XY IPs. Please contact the Support to add more."
}406
{
"code": 406,
"content": "Static Network doesn't exists"
}409
{
"code": 409,
"content": "Profile not found"
}Add Dynamic Network
Add a Dynamic Network with an optional NetworkDevice
POST
https://api.fsflt.net/panel/network/dynamic/add
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeIntegerrequiredDescription
- profile_codeIntegerrequiredDescription
- usernamestringrequiredDescription
- passwordstringrequiredDescription
- device_idNumberDescription
- langstringDescription
curl
curl --location 'https://api.fsflt.net/panel/network/static/range/add' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"customer_code":"Integer","profile_code":"Integer","username":"string","password":"string","device_id":"Number","lang":"string"}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.fsflt.net/panel/network/static/range/add',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"customer_code": "Integer",
"profile_code": "Integer",
"username": "string",
"password": "string",
"device_id": "Number",
"lang": "string"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"customer_code": "Integer",
"profile_code": "Integer",
"username": "string",
"password": "string",
"device_id": "Number",
"lang": "string"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/network/static/range/add", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/network/static/range/add"
payload = json.dumps({
"customer_code": "Integer",
"profile_code": "Integer",
"username": "string",
"password": "string",
"device_id": "Number",
"lang": "string"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/network/static/range/add")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"customer_code": "Integer",
"profile_code": "Integer",
"username": "string",
"password": "string",
"device_id": "Number",
"lang": "string"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": "Dynamic Network created successfully"
}409
{
"code": 409,
"content": "Profile not found"
}408
{
"code": 408,
"content": "You are using an existing username's Dynamic Network. Please change the Profile in order to add another one to the existing Network."
}412
{
"code": 412,
"content": "Please choose a different username."
}Delete Dynamic Network
Delete a Dynamic Network
POST
https://api.fsflt.net/panel/network/dynamic/remove
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeIntegerrequiredDescription
- profile_codeIntegerrequiredDescription
- usernamestringrequiredDescription
curl
curl --location 'https://api.fsflt.net/panel/network/static/range/add' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"customer_code":"Integer","profile_code":"Integer","username":"string"}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.fsflt.net/panel/network/static/range/add',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"customer_code": "Integer",
"profile_code": "Integer",
"username": "string"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"customer_code": "Integer",
"profile_code": "Integer",
"username": "string"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/network/static/range/add", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/network/static/range/add"
payload = json.dumps({
"customer_code": "Integer",
"profile_code": "Integer",
"username": "string"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/network/static/range/add")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"customer_code": "Integer",
"profile_code": "Integer",
"username": "string"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": "Dynamic Network deleted successfully"
}406
{
"code": 406,
"content": "Dynamic Network not found"
}409
{
"code": 406,
"content": "Profile not found"
}